package thyyxxk.webserver.entity.inpatient.patient;

import lombok.Data;
import thyyxxk.webserver.utils.StringUtil;

import java.util.Date;

/**
 * @author dj
 */
@Data
public class Fee {
    private Integer detailSn;
    private Date chargeDate;
    private String hisItemCode;
    private String ybCode;
    private String chargeFee;
    private String price;
    private String chargeAmount;
    private String hisItemName;
    private String hnsybStatType;
    private String ybSelfFlag;

    public String getYbSelfFlag() {
        if (StringUtil.isBlank(ybSelfFlag)) {
            return "是";
        }
        return "0".equals(ybSelfFlag.trim()) ? "是" : "否";
    }
}
